﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="getRecentlyUpdatedCharities.aspx.cs" Inherits="Memory_Giving_API_Examples.getRecentlyUpdatedCharities" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title><asp:Literal ID="litTitle" runat="server" /></title>
</head>
<body>
    <h1><asp:Literal ID="litHeading" runat="server" /></h1>
    <br />
    <a href="Default.aspx">< Back</a>
    <br />
    <form id="form1" runat="server">
        <table>
            <tr><td>api_key     </td><td><asp:TextBox ID="txt_api_key"      runat="server" /></td></tr>
            <tr><td>datetime    </td><td><asp:TextBox ID="txt_datetime"     runat="server" /></td></tr>
            <tr><td>days        </td><td><asp:TextBox ID="txt_days"         runat="server" /></td></tr>
            <tr><td>page_number </td><td><asp:TextBox ID="txt_page_number"  runat="server" /></td></tr>
            <tr><td>page_size   </td><td><asp:TextBox ID="txt_page_size"    runat="server" /></td></tr>
        </table>

        <asp:LinkButton ID="lbtnSOAP11" runat="server" OnClick="DoSOAP" Text="SOAP 1.1"/>&nbsp;
        <asp:LinkButton ID="lbtnSOAP12" runat="server" OnClick="DoSOAP" Text="SOAP 1.2"/>&nbsp;
        <asp:LinkButton ID="lbtnPost" runat="server" OnClick="DoPost" Text="POST"/>&nbsp;
        <asp:LinkButton ID="lbtnGet" runat="server" OnClick="DoGet" Text="GET"/>
    
    </form>
    <br />
    <br />
    <asp:Panel ID="ErrorPanel" runat="server" Visible="false">
        <table>
            <tr><td>ErrorSeverity       </td><td><asp:Literal ID="ErrorSeverity" runat="server" /></td></tr>
            <tr><td>ErrorInternalMessage</td><td><asp:Literal ID="ErrorInternalMessage" runat="server" /></td></tr>
            <tr><td>ErrorFriendlyMessage</td><td><asp:Literal ID="ErrorFriendlyMessage" runat="server" /></td></tr>
        </table>
    </asp:Panel>

    <asp:Panel ID="ResultPanel" runat="server" Visible="false">
        <table>
            <asp:Repeater ID="search_results" runat="server" OnItemDataBound="BindSearchResults">
                <ItemTemplate>
                    <tr><td>ID              </td><td><asp:Literal ID="litId" runat="server" /></td></tr>
                    <tr><td>Name            </td><td><asp:Literal ID="litName" runat="server" /></td></tr>
                    <tr><td>Aliases         </td><td><asp:Literal ID="litAliases" runat="server" /></td></tr>
                    <tr><td>Number          </td><td><asp:Literal ID="litNumber" runat="server" /></td></tr>
                    <tr><td>Address1        </td><td><asp:Literal ID="litAddress1" runat="server" /></td></tr>
                    <tr><td>Address2        </td><td><asp:Literal ID="litAddress2" runat="server" /></td></tr>
                    <tr><td>Town            </td><td><asp:Literal ID="litTown" runat="server" /></td></tr>
                    <tr><td>Postcode        </td><td><asp:Literal ID="litPostcode" runat="server" /></td></tr>
                    <tr><td>Country         </td><td><asp:Literal ID="litCountry" runat="server" /></td></tr>
                    <tr><td>ContactName     </td><td><asp:Literal ID="litContactName" runat="server" /></td></tr>
                    <tr><td>ContactEmail    </td><td><asp:Literal ID="litContactEmail" runat="server" /></td></tr>
                    <tr><td>ContactTelephone</td><td><asp:Literal ID="litContactTelephone" runat="server" /></td></tr>
                    <tr><td>IsActivated     </td><td><asp:Literal ID="litIsActivated" runat="server" /></td></tr>
                    <tr><td>IsVisible       </td><td><asp:Literal ID="litIsVisible" runat="server" /></td></tr>
                    <tr><td>IsDeleted       </td><td><asp:Literal ID="litIsDeleted" runat="server" /></td></tr>
                    <tr><td>DateLastUpdated </td><td><asp:Literal ID="litDateLastUpdated" runat="server" /></td></tr>
                    <tr><td>LogoPath        </td><td><asp:Image ID="imgLogoPath" runat="server" /></td></tr>                    
                    <tr><td colspan="2"><hr /></td></tr>
                </ItemTemplate>
            </asp:Repeater>
        </table>
    </asp:Panel>
</body>
</html>